Name:           templates_parser
Version:        11.6.0
Release:        3%{?dist}
Summary:        AWS templates engine

Group:          System Environment/Libraries
# GNAT Modified GPL (GMGPL)
License:        GPLv2+ with exceptions
URL:            http://docs.adacore.com/aws-docs/templates_parser.html
# The source for this package was pulled from upstream's vcs.  Use the
# following commands to generate the tarball:
#  git clone https://forge.open-do.org/anonscm/git/template-parser/template-parser.git -b release-11.6 templates_parser-11.6.0
#  tar -cJf --exclude-vcs templates_parser-11.6.0.tar.xz templates_parser-11.6.0
Source0:        %{name}-%{version}.tar.xz
# manpages from Debian package
Source1:        templates2ada.1
Source2:        templatespp.1
# remove static library
Patch1:         %{name}-makefile.patch
# adjust GPRs to Fedora standard
Patch2:         %{name}-gpr.patch
# make linking dynamic
Patch3:         %{name}-docs-makefile.patch
# add soname
Patch4:         %{name}-soname.patch

# All Ada packages have to contain these
BuildRequires:  gcc-gnat fedora-gnat-project-common
ExclusiveArch:  %{GNAT_arches}

BuildRequires:  xmlada-devel
BuildRequires:  chrpath

%description
The templates parser package has been designed to parse files and to
replace some specific tags into these files by some specified values.


%package devel
Summary:        Development files for AWS templates engine
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       fedora-gnat-project-common >= 2
BuildRequires:  texinfo-tex


%description devel
The templates parser package has been designed to parse files and to
replace some specific tags into these files by some specified values.

This package contains the development files necessary to build and link
from other project files.


%package tools
Summary:        Tools for AWS templates engine
Group:          Applications/Text


%description tools
This package contains the tools templates2ada and templatespp from the
AWS templates engine templates_parser.


%prep
%setup -q
%patch1
%patch2
%patch3
%patch4


%build
export GNATMAKE_OPTFLAGS="%{Gnatmake_optflags}"
make %{?_smp_mflags} VERSION=%{version}
# doc build wants to link to library
LD_LIBRARY_PATH="`pwd`/.build/native/release/relocatable/lib/" make doc


%clean
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
make install prefix=/usr \
  I_LIB=%{_libdir} \
  I_GPR=%{_GNAT_project_dir} \
  I_TGP=%{_GNAT_project_dir}/%{name} \
  DESTDIR=$RPM_BUILD_ROOT
ln -sf %{name}/lib%{name}-%{version}.so $RPM_BUILD_ROOT%{_libdir}/lib%{name}.so
ln -sf %{name}/lib%{name}-%{version}.so $RPM_BUILD_ROOT%{_libdir}
# delete rpath manually (#674793)
chrpath --delete $RPM_BUILD_ROOT%{_libdir}/%{name}/lib%{name}-%{version}.so
# install manpages
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
cp -p %SOURCE1 $RPM_BUILD_ROOT%{_mandir}/man1/
cp -p %SOURCE2 $RPM_BUILD_ROOT%{_mandir}/man1/


%files
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/lib%{name}-%{version}.so
%{_libdir}/lib%{name}-%{version}.so

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files devel
%{_includedir}/%{name}
%{_libdir}/%{name}/*.ali
%{_libdir}/lib%{name}.so
%{_libdir}/%{name}/lib%{name}.so
%{_GNAT_project_dir}/%{name}.gpr
%{_GNAT_project_dir}/%{name}
%{_docdir}/%{name}


%files tools
%doc tools/templates.tads tools/all_urls.thtml
%{_bindir}/templates2ada
%{_bindir}/templatespp
%{_mandir}/man1/*


%changelog
* Mon Aug 06 2012 Julian Leyh <julian@vgai.de> - 11.6.0-3
- add manpages for the tools

* Fri Jun 29 2012 Julian Leyh <julian@vgai.de> - 11.6.0-2
- build documentation
- use other URL
- smaller source tarball with --exclude-vcs
- correct soname
- adjust path to gpr files
- add tools subpackage
- add ldconfig call

* Wed Jun 27 2012 Julian Leyh <julian@vgai.de> - 11.6.0-1
- Initial Package

